<?xml version="1.0" encoding="UTF-8"?>
<manifest>
  <default upstream="scarthgap"/>

  <!-- Yocto -->
  <remote name="yocto"
          fetch="git://git.yoctoproject.org"/>
  <project name="poky"
           remote="yocto"
           revision="refs/tags/yocto-5.0.7"
           upstream="scarthgap"
           path="sources/poky"/>
  <project name="meta-mingw"
           remote="yocto"
           revision="refs/tags/yocto-5.0.7"
           upstream="scarthgap"
           path="sources/meta-mingw"/>
  <project name="meta-virtualization"
           remote="yocto"
           revision="79673f5c67b022e7aadeb231872470295e5b9188"
           upstream="scarthgap"
           path="sources/meta-virtualization" />

  <!-- OpenEmbedded -->
  <remote name="oe"
          fetch="git://git.openembedded.org"/>
  <project name="meta-openembedded"
           remote="oe"
           revision="4f11a12b2352bbdfafb6b7d956bf424af4992977"
           upstream="scarthgap"
           path="sources/meta-openembedded"/>

  <!-- Clang -->
  <remote name="kraj"
          fetch="https://github.com/kraj"/>
  <project name="meta-clang"
           remote="kraj"
           revision="8c77b427408db01b8de4c04bd3d247c13c154f92"
           upstream="scarthgap"
           path="sources/meta-clang"/>

  <!-- Boot to Qt -->
  <remote name="qt"
          fetch="git://code.qt.io/yocto"
          pushurl="ssh://codereview.qt-project.org/yocto"/>
  <remote name="gerrit"
          fetch="ssh://codereview.qt-project.org/yocto"/>
  <project name="meta-boot2qt"
           remote="qt"
           revision="scarthgap"
           upstream="scarthgap"
           path="sources/meta-boot2qt">
    <linkfile dest="setup-environment.sh" src="scripts/setup-environment.sh"/>
  </project>

  <!-- Boot to Qt vendor layer -->
  <project name="meta-boot2qt-aws"
           remote="qt"
           revision="scarthgap"
           upstream="scarthgap"
           path="sources/meta-boot2qt-aws">
    <linkfile dest="sources/templates" src="conf/templates/default" />
  </project>

  <!-- Qt -->
  <project name="meta-qt6"
           remote="qt"
           revision="6.8.3"
           upstream="6.8.3"
           path="sources/meta-qt6"/>

  <!-- Internal layer for the proprietary device drivers -->
  <remote name="playground"
          fetch="ssh://git@git.qt.io/boot2qt" />
  <project name="nvidia-devnet-mirror"
           remote="playground"
           revision="bf222acaf4c6e91064dafb2ff4b4e1924f2e604f"
           upstream="linux-aarch64"
           path="sources/nvidia-devnet-mirror"
           groups="notdefault" />

  <!-- Device specific layer with its depends -->
  <remote name="aws"
          fetch="https://github.com/aws4embeddedlinux" />
  <project name="meta-aws"
           remote="aws"
           revision="scarthgap"
           upstream="scarthgap"
           path="sources/meta-aws"/>
</manifest>
